The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]



"Обновление Postfix 3.3.2, 3.2.7, 3.1.10 и 3.0.14 с поддержко..."
Вариант для распечатки  
Пред. тема | След. тема 
Форум Разговоры, обсуждение новостей
Изначальное сообщение [ Отслеживать ]

"Обновление Postfix 3.3.2, 3.2.7, 3.1.10 и 3.0.14 с поддержко..."  +/
Сообщение от opennews (??), 27-Ноя-18, 10:56 
Доступны (https://www.mail-archive.com/postfix-announce@postfix.o...) новый выпуски почтового сервера Postfix (http://www.postfix.org/) - 3.3.2, 3.2.7, 3.1.10 и 3.0.14. В предложенных обновлениях добавлена поддержка OpenSSL 1.1.1 (https://www.opennet.ru/opennews/art.shtml?num=49255) и реализованы возможности, необходимые для использования протокола TLS 1.3 (https://www.opennet.ru/opennews/art.shtml?num=49126). В том числе в логи и заголовки "Received:" добавлена поддержка специфичных для TLS 1.3 атрибутов  "key exchange", "server signature" и "client signature". Реализованы опции для выборочного отключения  TLS 1.3  в настройках *_tls_protocols

URL: https://www.mail-archive.com/postfix-announce@postfix.o...
Новость: https://www.opennet.ru/opennews/art.shtml?num=49666

Ответить | Правка | Cообщить модератору

Оглавление

Сообщения [Сортировка по времени | RSS]


1. "Обновление Postfix 3.3.2, 3.2.7, 3.1.10 и 3.0.14 с поддержко..."  +9 +/
Сообщение от А (??), 27-Ноя-18, 10:56 
Одно из немногих ПО, для которого в обновлениях нет привычного "как и всегда, устранена очередная порция уязвимостей".
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

3. "Обновление Postfix 3.3.2, 3.2.7, 3.1.10 и 3.0.14 с поддержко..."  +3 +/
Сообщение от Аноним (3), 27-Ноя-18, 11:33 
Один из немногих достойных уважения
Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

13. "Обновление Postfix 3.3.2, 3.2.7, 3.1.10 и 3.0.14 с поддержко..."  +2 +/
Сообщение от Аноним (13), 27-Ноя-18, 17:13 
postfix - один из лучших примеров unix-way
Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

14. "Обновление Postfix 3.3.2, 3.2.7, 3.1.10 и 3.0.14 с поддержко..."  +5 +/
Сообщение от Anon4ik_ (?), 27-Ноя-18, 17:38 
А ведь написан на не безопасном, не современом C.
Может делот всё таки не в языках
Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

15. "Обновление Postfix 3.3.2, 3.2.7, 3.1.10 и 3.0.14 с поддержко..."  +/
Сообщение от VladSh (?), 27-Ноя-18, 17:41 
Можно представить, что и сколько наворотил бы такой толковый разраб на безопасном языке.
Ответить | Правка | ^ к родителю #14 | Наверх | Cообщить модератору

16. "Обновление Postfix 3.3.2, 3.2.7, 3.1.10 и 3.0.14 с поддержко..."  –1 +/
Сообщение от Аноним (16), 27-Ноя-18, 17:45 
> Может делот всё таки не в языках

И то верно. Следовательно, в недавней уязвимости gettext виноваты разработчики GNU/Linux, следовательно, разработчики GNU/Linux криворукие, следовательно, операционная система GNU/Linux написана криворукими.

Может все же подумаешь еще? Может дело именно в языке? Если нет - то GNU/Linux написан криворучками.

Ответить | Правка | ^ к родителю #14 | Наверх | Cообщить модератору

18. "Обновление Postfix 3.3.2, 3.2.7, 3.1.10 и 3.0.14 с поддержко..."  +1 +/
Сообщение от Anon4ik_ (?), 27-Ноя-18, 18:59 
И давно ли стало секретом, что в линаксах комитят все кому не лень и тащат в главную ветку всякую хрень?
Ответить | Правка | ^ к родителю #16 | Наверх | Cообщить модератору

19. "Обновление Postfix 3.3.2, 3.2.7, 3.1.10 и 3.0.14 с поддержко..."  +/
Сообщение от пох (?), 27-Ноя-18, 23:02 
во-первых, если вы внимательно прочитаете про данное обновление, то между строк явно проглядывает "добавлена новая порция уязвимостей - пока - потенциальных".

во-вторых, одно из многих по, которое почти ничего нормально делать не умеет, поэтому и неуязвимо, как тот неуловимый джо. А когда надо на самом деле почту обрабатывать - ставим exim.

Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

20. "Обновление Postfix 3.3.2, 3.2.7, 3.1.10 и 3.0.14 с поддержко..."  +1 +/
Сообщение от Anon4ik_ (?), 28-Ноя-18, 00:29 
> во-первых, если вы внимательно прочитаете про данное обновление, то между строк явно
> проглядывает "добавлена новая порция уязвимостей - пока - потенциальных".
> во-вторых, одно из многих по, которое почти ничего нормально делать не умеет,
> поэтому и неуязвимо, как тот неуловимый джо. А когда надо на
> самом деле почту обрабатывать - ставим exim.

Диван небось высокий?

Ответить | Правка | ^ к родителю #19 | Наверх | Cообщить модератору

21. "Обновление Postfix 3.3.2, 3.2.7, 3.1.10 и 3.0.14 с поддержко..."  +/
Сообщение от лютый лютик__ (?), 28-Ноя-18, 06:22 
А когда надо на самом деле почту обрабатывать - ставим Exchange+Ironport.

пофиксил, не благодари!

Ответить | Правка | ^ к родителю #19 | Наверх | Cообщить модератору

22. "Обновление Postfix 3.3.2, 3.2.7, 3.1.10 и 3.0.14 с поддержко..."  –1 +/
Сообщение от пох (?), 28-Ноя-18, 07:11 
> А когда надо на самом деле почту обрабатывать - ставим Exchange+Ironport.

это когда не обрабатывать, это работать с ней (в смысле - людям, не роботам)

поэтому как почтовый сервер для людей - да, связка exchange+ironport, а для релея (включая релеи для серверных кластеров, где, трудами манки-разработчиков может быть и спамотрон, и взбесившиеся роботы устроить пинг-понг, и сложный header rewriting понадобится, чтобы эти письма снаружи не отправляли сразу в помойку) - exim.

для поцфикса, что характерно, нет места ни там, ни там.

И да, насчет неуловимости джо - "open relay в каждой конфигурации по умолчанию - 1998-2018! mynetworks_style=subnet". notabug!

ну ничего, зато, вот, ненужно-tls (smtp - единственный протокол, вообще не нуждающийся в шифровании, поскольку оно там испокон веку end2end). И затрат разработчику никаких - пересобрал с новой версией opeдыроsl, если специально не ломать - оно в общем и само заработает, можно бежать рапортовать о невиданном успехе.

Ответить | Правка | ^ к родителю #21 | Наверх | Cообщить модератору

23. "Обновление Postfix 3.3.2, 3.2.7, 3.1.10 и 3.0.14 с поддержко..."  +/
Сообщение от Аноним (23), 28-Ноя-18, 11:10 
Вы не понимаете, о чем тут пишут люди с огромной практикой.
Ответить | Правка | ^ к родителю #22 | Наверх | Cообщить модератору

24. "Обновление Postfix 3.3.2, 3.2.7, 3.1.10 и 3.0.14 с поддержко..."  +/
Сообщение от Аноним (24), 28-Ноя-18, 14:33 
это да, исперты местные не понимают отличие MTA и MDA :)
Ответить | Правка | ^ к родителю #23 | Наверх | Cообщить модератору

25. "Обновление Postfix 3.3.2, 3.2.7, 3.1.10 и 3.0.14 с поддержко..."  +/
Сообщение от слакварщик (?), 28-Ноя-18, 18:40 
не, не понимаем - нормальный такой MQ рутер на файлах с вменяемой конфигой, че еще то нада?
Ответить | Правка | ^ к родителю #24 | Наверх | Cообщить модератору

2. "Обновление Postfix 3.3.2, 3.2.7, 3.1.10 и 3.0.14 с поддержко..."  +/
Сообщение от Аноним (2), 27-Ноя-18, 11:14 
Ещё б eSNI можно было бы использовать…
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

26. "Обновление Postfix 3.3.2, 3.2.7, 3.1.10 и 3.0.14 с поддержко..."  +/
Сообщение от Аноним (26), 18-Апр-19, 14:28 
иксперты ептаварот
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

Архив | Удалить

Рекомендовать для помещения в FAQ | Индекс форумов | Темы | Пред. тема | След. тема




Спонсоры:
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2020 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру